Update workspace settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
beta_channel_enabled: true,
alpha_channel_enabled: true,
response_healing_enabled: true,
response_healing_locked: true,
byok_fallback_enabled: true,
privacy_enable_paid_may_train: true,
privacy_enable_free_may_train: true,
privacy_enable_free_may_publish_prompts: true,
privacy_enable_input_output_logging: true,
privacy_zdr_only: true,
io_logging_enabled: true,
io_logging_include_provider_payloads: true,
provider_restriction_provider_ids: ['<string>'],
provider_restriction_enforce_allowed: true
})
};
fetch('https://api.phaseo.app/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/settings"
payload = {
"beta_channel_enabled": True,
"alpha_channel_enabled": True,
"response_healing_enabled": True,
"response_healing_locked": True,
"byok_fallback_enabled": True,
"privacy_enable_paid_may_train": True,
"privacy_enable_free_may_train": True,
"privacy_enable_free_may_publish_prompts": True,
"privacy_enable_input_output_logging": True,
"privacy_zdr_only": True,
"io_logging_enabled": True,
"io_logging_include_provider_payloads": True,
"provider_restriction_provider_ids": ["<string>"],
"provider_restriction_enforce_allowed": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api.phaseo.app/v1/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"beta_channel_enabled": true,
"alpha_channel_enabled": true,
"response_healing_enabled": true,
"response_healing_locked": true,
"byok_fallback_enabled": true,
"privacy_enable_paid_may_train": true,
"privacy_enable_free_may_train": true,
"privacy_enable_free_may_publish_prompts": true,
"privacy_enable_input_output_logging": true,
"privacy_zdr_only": true,
"io_logging_enabled": true,
"io_logging_include_provider_payloads": true,
"provider_restriction_provider_ids": [
"<string>"
],
"provider_restriction_enforce_allowed": true
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.phaseo.app/v1/settings"
payload := strings.NewReader("{\n \"beta_channel_enabled\": true,\n \"alpha_channel_enabled\": true,\n \"response_healing_enabled\": true,\n \"response_healing_locked\": true,\n \"byok_fallback_enabled\": true,\n \"privacy_enable_paid_may_train\": true,\n \"privacy_enable_free_may_train\": true,\n \"privacy_enable_free_may_publish_prompts\": true,\n \"privacy_enable_input_output_logging\": true,\n \"privacy_zdr_only\": true,\n \"io_logging_enabled\": true,\n \"io_logging_include_provider_payloads\": true,\n \"provider_restriction_provider_ids\": [\n \"<string>\"\n ],\n \"provider_restriction_enforce_allowed\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.phaseo.app/v1/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"beta_channel_enabled\": true,\n \"alpha_channel_enabled\": true,\n \"response_healing_enabled\": true,\n \"response_healing_locked\": true,\n \"byok_fallback_enabled\": true,\n \"privacy_enable_paid_may_train\": true,\n \"privacy_enable_free_may_train\": true,\n \"privacy_enable_free_may_publish_prompts\": true,\n \"privacy_enable_input_output_logging\": true,\n \"privacy_zdr_only\": true,\n \"io_logging_enabled\": true,\n \"io_logging_include_provider_payloads\": true,\n \"provider_restriction_provider_ids\": [\n \"<string>\"\n ],\n \"provider_restriction_enforce_allowed\": true\n}")
.asString();
{
"data": {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"routing_mode": "balanced",
"beta_channel_enabled": true,
"alpha_channel_enabled": true,
"response_healing_enabled": true,
"response_healing_locked": true,
"response_healing_mode": "safe",
"byok_fallback_enabled": true,
"privacy_enable_paid_may_train": true,
"privacy_enable_free_may_train": true,
"privacy_enable_free_may_publish_prompts": true,
"privacy_enable_input_output_logging": true,
"privacy_zdr_only": true,
"io_logging_enabled": true,
"io_logging_include_provider_payloads": true,
"provider_restriction_mode": "none",
"provider_restriction_provider_ids": [
"<string>"
],
"provider_restriction_enforce_allowed": true,
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}{
"error": "error_type",
"ok": false,
"message": "Human-readable error message",
"description": "Additional error details.",
"generation_id": "G-abc123",
"status_code": 502,
"error_type": "system",
"error_origin": "upstream",
"reason": "all_candidates_failed",
"attempt_count": 2,
"failed_providers": [
"google-ai-studio",
"openai"
],
"failed_statuses": [
403,
429
],
"upstream_error": {
"code": "PERMISSION_DENIED",
"message": "The caller does not have permission.",
"description": "<string>",
"param": "<string>"
},
"failure_sample": [
{
"provider": "<string>",
"type": "<string>",
"status": 123,
"upstream_error_code": "<string>",
"upstream_error_message": "<string>",
"upstream_error_description": "<string>",
"upstream_error_param": "<string>",
"upstream_payload_preview": "<string>",
"retryable": true
}
],
"provider_failure_diagnostics": {
"category": "credentials_not_configured",
"hint": "<string>",
"provider": "<string>"
},
"routing_diagnostics": {
"filterStages": [
{
"stage": "<string>",
"beforeCount": 123,
"afterCount": 123,
"droppedProviders": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
}
]
},
"provider_candidate_diagnostics": {
"totalProviders": 123,
"supportsEndpointCount": 123,
"candidateCount": 123,
"droppedUnsupportedEndpoint": [
"<string>"
],
"droppedMissingAdapter": [
{
"providerId": "<string>",
"endpoint": "<string>"
}
]
},
"provider_enablement": {
"capability": "<string>",
"providersBefore": [
"<string>"
],
"providersAfter": [
"<string>"
],
"dropped": [
{
"providerId": "<string>",
"reason": "<string>"
}
]
},
"missing_pricing_providers": [
"<string>"
],
"provider_payment_required_provider": "openai",
"provider_payment_required_support_notice": "Our upstream provider billing appears to be unavailable. If this persists, contact support.",
"details": [
{}
]
}Routing
Update workspace settings
Update workspace routing, provider, privacy, and gateway defaults.
PATCH
/
settings
Update workspace settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
beta_channel_enabled: true,
alpha_channel_enabled: true,
response_healing_enabled: true,
response_healing_locked: true,
byok_fallback_enabled: true,
privacy_enable_paid_may_train: true,
privacy_enable_free_may_train: true,
privacy_enable_free_may_publish_prompts: true,
privacy_enable_input_output_logging: true,
privacy_zdr_only: true,
io_logging_enabled: true,
io_logging_include_provider_payloads: true,
provider_restriction_provider_ids: ['<string>'],
provider_restriction_enforce_allowed: true
})
};
fetch('https://api.phaseo.app/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.phaseo.app/v1/settings"
payload = {
"beta_channel_enabled": True,
"alpha_channel_enabled": True,
"response_healing_enabled": True,
"response_healing_locked": True,
"byok_fallback_enabled": True,
"privacy_enable_paid_may_train": True,
"privacy_enable_free_may_train": True,
"privacy_enable_free_may_publish_prompts": True,
"privacy_enable_input_output_logging": True,
"privacy_zdr_only": True,
"io_logging_enabled": True,
"io_logging_include_provider_payloads": True,
"provider_restriction_provider_ids": ["<string>"],
"provider_restriction_enforce_allowed": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)This endpoint requires a management API key with
settings:write.Authorizations
Bearer token authentication
Body
application/json
Available options:
balanced, price, latency, throughput Available options:
safe, strict Available options:
none, allowlist, blocklist Maximum array length:
64Maximum string length:
128Response
Updated workspace settings
Show child attributes
Show child attributes
Last modified on August 30, 2026
Was this page helpful?